package com.zy.bms.common;

/**
 * 常量数据
 *
 * @author yang xiao kun
 * create on 2021/2/2
 */
public class Constant {

    /**
     * 前缀
     */
    public static class PREF {
        // rabbit MQ 用户名前缀
        public static final String RABBIT_MQ_USERNAME = "IMEI";
        //redis key前缀
        public static final String REDIS_TOKEN = "bms:admin:token:";//登录token 前缀

    }

    /**
     * MQTT 协议报文 中 M值
     */
    public static class M {
        //设备发送注册请求
        public static final String REGISTER = "10";
        //服务器响应设备注册请求
        public static final String HANDLE_REGISTER = "11";
        //普适性 - 设备心跳协议
        public static final String UBI_HEARTBEAT = "21";
        //普适性 - 远程控制设备报警
        public static final String UBI_CONTROL_ALARM = "23";
        //普适性 - ntripServer设置
        public static final String UBI_NTRIP_SERVER = "26";
        //普适性 - ntripClient设置
        public static final String UBI_NTRIP_CLIENT = "27";
        //普适性 - tcp设置
        public static final String UBI_TCP = "28";
        //普适性 - 获取设备设置 serve -> device
        public static final String UBI_GET_SET_INFO = "29";
        //普适型 - 设备设置信息 device -> serve
        public static final String UBI_SET_INFO = "30";
        //同步更新路牌设备信息
        public static final String LP_UPDATE_DEVICE_INFO = "71";
    }

    /**
     * 状态常量
     */
    public static class STATUS {
        public static final String ON = "on";
        public static final String OFF = "off";
        public static final String TRUE = "true";
        public static final String FALSE = "false";
    }

    /**
     * 主题前缀
     * SERVER为服务器订阅主题  用来接收设备发来消息
     * CLIENT为设备订阅主题    用来发送消息给设备
     */
    public static class TOPIC {
        //设备注册时device -> server主题，仅设备注册使用
        public static final String REGISTER_SERVER = "$regdtx2";
        //设备注册时server -> device主题，仅设备注册使用
        public static final String REGISTER_CLIENT = "$regdrx2";
        // device -> server 通讯主题
        public static final String DEVICE_SERVER = "$dtx2/IMEI";
        // server -> device 通讯主题
        public static final String DEVICE_CLIENT = "$drx2/IMEI";
        // device -> server 通讯主题
        public static final String DEVICE_SERVER_LP = "$dtxlp/";
        // server -> device 通讯主题
        public static final String DEVICE_CLIENT_LP = "$drxlp/IMEI";
    }

    /**
     * 通过订阅的主题裁剪出openNum
     *
     * @param topic 主题
     */
    public static String splitOpenNum(String topic) {
        String[] result = topic.split(PREF.RABBIT_MQ_USERNAME);
        return result.length > 1 ? result[1] : null;
    }
}
