package com.zy.bms.controller.ubi;


import com.zy.bms.common.ServerResponse;
import com.zy.bms.controller.BaseController;
import com.zy.bms.pojo.io.DeviceIO;
import com.zy.bms.service.ubi.IUbiInfoStateService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 普适性
 * 设备静态信息 前端控制器
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@RestController
@RequestMapping("/bms/api/operate/device")
public class UbiDeviceController extends BaseController {
    @Resource
    private IUbiInfoStateService ubiInfoStateService;

    /**
     * 分页查询设备列表
     */
    @PostMapping("listPage.do")
    public ServerResponse listPage(DeviceIO io) {
        return ServerResponse.success(ubiInfoStateService.listPage(io));
    }

    /**
     * 查询设备详情信息
     */
    @GetMapping("getDetail.do")
    public ServerResponse getDetail(String openNum) {
        return ServerResponse.success(ubiInfoStateService.getDetail(openNum));
    }
}
