package com.zy.bms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 设备基础信息
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@Data
public class DeviceBase implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备码(公开)
     */
    private String openNum;

    /**
     * mqtt登录用户名
     */
    private String username;

    /**
     * mqtt登录密码
     */
    private String password;

    /**
     * 设备组ID
     */
    private String groupId;

    /**
     * 设备SN码
     */
    private String sn;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

}
