package com.zy.bms.entity;

import java.time.LocalDateTime;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * <p>
 * 项目组
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-03
 */
@Data
@TableName("item_group")
public class Group implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 项目组编号
     */
    @TableId(type = IdType.INPUT)
    private String id;

    /**
     * 项目组名称
     */
    private String name;

    /**
     * 项目ID
     */
    private Integer itemId;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 0:禁用 1:启用
     */
    private Integer status;


}
