package com.zy.bms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDateTime;
import java.io.Serializable;


/**
 * <p>
 * 用户表
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-03
 */
@Data
public class User implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 用户名
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 昵称
     */
    private String nickname;

    /**
     * 性别 0：未知、1：男、2：女
     */
    private Integer gender;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 项目ID
     */
    private Integer itemId;

    /**
     * 0:禁用 1:启用
     */
    private Integer status;

    /**
     * 禁用时间
     */
    private LocalDateTime banTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

}
