package com.zy.bms.entity.ubi;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * 普适性 - 心跳包记录
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@Data
public class UbiInfoRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备公开码
     */
    private String openNum;

    /**
     * 心跳包间隔,单位:秒
     */
    private Integer freq;

    /**
     * 电池电压
     */
    @JSONField(format = "#.#")
    private Double powerVolt;

    /**
     * 卫星颗数
     */
    private Integer satNum;

    /**
     * 4g信号
     */
    private String signal4g;

    /**
     * 用户自定义设备ID
     */
    private String deviceId;

    /**
     * 经度
     */
    @JSONField(format = "#.######")
    private Double lat;

    /**
     * 纬度
     */
    @JSONField(format = "#.######")
    private Double lon;

    /**
     * 经度
     */
    @JSONField(format = "#.######")
    private Double latGcj;

    /**
     * 纬度
     */
    @JSONField(format = "#.######")
    private Double lonGcj;

    /**
     * 软件版本号
     */
    private String version;

    /**
     * 上传时间
     */
    private LocalDateTime uploadTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

}
