package com.zy.bms.entity.ubi;

import java.time.LocalDateTime;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.TableId;

/**
 * 普适性设备 - 状态信息表
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@Data
public class UbiInfoState implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备公开码
     */
    private String openNum;

    /**
     * 心跳包间隔,单位:秒
     */
    private Integer freq;

    /**
     * 电池电压
     */
    private String powerVolt;

    /**
     * 卫星颗数
     */
    private Integer satNum;

    /**
     * 4g信号
     */
    private String signal4g;

    /**
     * 用户自定义设备ID
     */
    private String deviceId;

    /**
     * 经度
     */
    private Double lat;

    /**
     * 纬度
     */
    private Double lon;

    /**
     * 经度
     */
    private Double latGcj;

    /**
     * 纬度
     */
    private Double lonGcj;

    /**
     * 软件版本号
     */
    private String version;

    /**
     * 在线状态
     */
    private Integer status;

    /**
     * 数据更新时间
     */
    private LocalDateTime updateTime;

}
