package com.zy.bms.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zy.bms.entity.Group;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zy.bms.pojo.io.GroupIO;
import com.zy.bms.pojo.vo.GroupListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 项目组 Mapper 接口
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-03
 */
@Mapper
@Repository
public interface GroupMapper extends BaseMapper<Group> {
    /**
     * 分页查询
     *
     * @param page 分页信息
     * @param io   查询条件
     */
    IPage<GroupListVo> listPage(Page<GroupListVo> page, @Param("io") GroupIO io);

    /**
     * 获取全部的设备组
     */
    List<GroupListVo> getAllList();
}
