package com.zy.bms.mapper;

import com.zy.bms.entity.UserPrivilege;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 用户查看手机设备权限表 Mapper 接口
 *
 * @author chenyi
 * @since 2021-07-13
 */
@Mapper
@Repository
public interface UserPrivilegeMapper extends BaseMapper<UserPrivilege> {

    /**
     * 通过用户Id 查询用户拥有权限的设备组
     *
     * @param userId 用户ID
     */
    List<String> ownGroupIds(@Param("userId") Integer userId);

    /**
     * 批量保存实体类
     *
     * @param userId 用户ID
     * @param groups 用户组
     */
    void saveBatch(@Param("userId") Integer userId, @Param("groups") String[] groups);
}
