package com.zy.bms.mapper.ubi;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zy.bms.entity.ubi.UbiInfoState;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zy.bms.pojo.io.DeviceIO;
import com.zy.bms.pojo.vo.UbiDeviceDetailVo;
import com.zy.bms.pojo.vo.UbiDeviceListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 普适性
 * 设备动态信息表 Mapper 接口
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@Mapper
@Repository
public interface UbiInfoStateMapper extends BaseMapper<UbiInfoState> {

    /**
     * 定时任务,定时更新设备在线状态
     */
    void updateStatus();

    /**
     * 分页查询设备列表
     *
     * @param page 分页信息
     * @param io   查询参数
     */
    IPage<UbiDeviceListVo> listPage(Page<UbiDeviceListVo> page, @Param("io") DeviceIO io);

    /**
     * 获取设备详情信息
     *
     * @param openNum 设备公开码
     */
    UbiDeviceDetailVo getDetail(@Param("openNum") String openNum);

    /**
     * 微信端
     * 通过设备组分页查询设备列表
     *
     * @param page  分页信息
     * @param group 设备组
     */
    IPage<UbiDeviceListVo> listPageWx(Page<UbiDeviceListVo> page, @Param("group") String group);
}
