package com.zy.bms.schedule;

import com.zy.bms.service.ubi.IUbiInfoStateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.Scheduled;

/**
 * 定时更新设备在线状态
 *
 * @author yang xiao kun
 * create on 2021/5/14
 */
@EnableAsync
@Configuration
//@EnableScheduling
public class DeviceStatusSchedule {

    @Autowired
    private IUbiInfoStateService deviceDynamicService;

    /**
     * 更新频率 5分钟
     * 定时更新设备在线状态
     */
    @Async
    @Scheduled(cron = "0 0/5 * * * ?")
    public void updateDeviceStatus() {
        deviceDynamicService.updateStatus();
    }
}
