package com.zy.bms.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zy.bms.entity.Logs;
import com.zy.bms.pojo.io.LogsIO;
import com.zy.bms.pojo.vo.LogsVo;

/**
 * <p>
 * MQTT日志 服务类
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-03
 */
public interface ILogsService extends IService<Logs> {

    /**
     * 保存 接收日志
     *
     * @param topic   主题
     * @param payload 消息内容
     */
    void saveReceive(String topic, String payload);

    /**
     * 保存 发送日志
     *
     * @param topic   主题
     * @param payload 消息内容
     */
    void saveSend(String topic, String payload);

    /**
     * 分页查询日志
     *
     * @param io 查询条件
     */
    IPage<LogsVo> listPage(LogsIO io);
}
