package com.zy.bms.service;

import com.zy.bms.entity.UserPrivilege;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zy.bms.pojo.vo.GroupListVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 用户查看手机设备权限表 服务类
 * </p>
 *
 * @author chenyi
 * @since 2021-07-13
 */
public interface IUserPrivilegeService extends IService<UserPrivilege> {

    /**
     * 查询用户拥有权限的设备组
     *
     * @param userId 用户ID
     */
    List<String> ownGroupIds(Integer userId);

    /**
     * 通过用户Id 查询全部的设备组
     * 滤掉用户已有权限的设备组
     *
     * @param userId 用户ID
     */
    Map<String, List<GroupListVo>> getGroupByUserId(Integer userId);

    /**
     * 批量保存实体类
     *
     * @param userId 用户ID
     * @param groups 用户组
     */
    void saveBatch(Integer userId, String[] groups);
}
