package com.zy.bms.service.impl;

import com.zy.bms.entity.UserPrivilege;
import com.zy.bms.mapper.UserPrivilegeMapper;
import com.zy.bms.pojo.vo.GroupListVo;
import com.zy.bms.service.IGroupService;
import com.zy.bms.service.IUserPrivilegeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * <p>
 * 用户查看手机设备权限表 服务实现类
 * </p>
 *
 * @author chenyi
 * @since 2021-07-13
 */
@Service
public class UserPrivilegeServiceImpl extends ServiceImpl<UserPrivilegeMapper, UserPrivilege> implements IUserPrivilegeService {

    @Resource
    private IGroupService groupService;


    @Override
    public List<String> ownGroupIds(Integer userId) {
        return baseMapper.ownGroupIds(userId);
    }

    @Override
    public Map<String, List<GroupListVo>> getGroupByUserId(Integer userId) {
        List<GroupListVo> allGroup = groupService.getAllList();
        HashSet<String> ownGroup = new HashSet<>(baseMapper.ownGroupIds(userId));
        return allGroup.stream().filter(item -> !ownGroup.contains(item.getId()))
                .collect(Collectors.groupingBy(GroupListVo::getItem));
    }

    @Override
    public void saveBatch(Integer userId, String[] groups) {
        baseMapper.saveBatch(userId, groups);
    }
}
